Package org.eclipse.ecf.provider.generic

## Class TCPServerSOContainerGroup

- java.lang.Object
- - org.eclipse.ecf.provider.generic.SOContainerGroup
  - - org.eclipse.ecf.provider.generic.TCPServerSOContainerGroup

All Implemented Interfaces:
  `ISocketAcceptHandler`

    public class TCPServerSOContainerGroup
    extends SOContainerGroup

### Field Summary

Fields
`static String` `DEFAULT_GROUP_NAME`

### Fields inherited from class org.eclipse.ecf.provider.generic.SOContainerGroup

`INVALID_CONNECT, map`

### Constructor Summary

Constructors
`TCPServerSOContainerGroup​(int port)`
`TCPServerSOContainerGroup​(String name, int port)`
`TCPServerSOContainerGroup​(String name, ThreadGroup group, int port)`
`TCPServerSOContainerGroup​(String name, ThreadGroup group, int port, int backlog, InetAddress bindAddress)`
`TCPServerSOContainerGroup​(String name, ThreadGroup group, int port, InetAddress bindAddress)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getPort()`
`boolean` `isOnTheAir()`
`void` `putOnTheAir()`
`void` `takeOffTheAir()`
`String` `toString()`
`protected void` `trace​(String msg)`
`protected void` `traceStack​(String msg, Throwable e)`

### Methods inherited from class org.eclipse.ecf.provider.generic.SOContainerGroup

`add, contains, createObjectInputStream, createObjectOutputStream, elements, get, getName, handleAccept, readConnectRequestMessage, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_GROUP_NAME

    public static final String DEFAULT_GROUP_NAME

### Constructor Detail

#### TCPServerSOContainerGroup

    public TCPServerSOContainerGroup​(String name,
                                     ThreadGroup group,
                                     int port,
                                     int backlog,
                                     InetAddress bindAddress)

Parameters:
  `name` - name
  `group` - thread group to use
  `port` - port
  `backlog` - backlog
  `bindAddress` - bind address
Since:
  4.4

#### TCPServerSOContainerGroup

    public TCPServerSOContainerGroup​(String name,
                                     ThreadGroup group,
                                     int port,
                                     InetAddress bindAddress)

Parameters:
  `name` - name
  `group` - thread group to use
  `port` - port
  `bindAddress` - bind address
Since:
  4.4

#### TCPServerSOContainerGroup

    public TCPServerSOContainerGroup​(String name,
                                     ThreadGroup group,
                                     int port)

#### TCPServerSOContainerGroup

    public TCPServerSOContainerGroup​(String name,
                                     int port)

#### TCPServerSOContainerGroup

    public TCPServerSOContainerGroup​(int port)

### Method Detail

#### trace

    protected void trace​(String msg)

#### traceStack

    protected void traceStack​(String msg,
                              Throwable e)

#### putOnTheAir

    public void putOnTheAir()
                     throws IOException

Throws:
  `IOException`

#### isOnTheAir

    public boolean isOnTheAir()

#### takeOffTheAir

    public void takeOffTheAir()

#### getPort

    public int getPort()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`